Package org.apache.tapestry5.beanmodel.internal.antlr

# Class BaseParser

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Parser
org.apache.tapestry5.beanmodel.internal.antlr.BaseParser

Direct Known Subclasses:
  `PropertyExpressionParser`

public class BaseParser extends org.antlr.runtime.Parser

- ## Field Summary

  ### Fields inherited from class org.antlr.runtime.Parser

  `input`

  ### Fields inherited from class org.antlr.runtime.BaseRecognizer

  `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseParser(org.antlr.runtime.TokenStream tokenStream)`
  `BaseParser(org.antlr.runtime.TokenStream tokenStream, org.antlr.runtime.RecognizerSharedState recognizerSharedState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `emitErrorMessage(String message)`

  ### Methods inherited from class org.antlr.runtime.Parser

  `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

  ### Methods inherited from class org.antlr.runtime.BaseRecognizer

  `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getGrammarFileName, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseParser

    public BaseParser(org.antlr.runtime.TokenStream tokenStream)

  - ### BaseParser

    public BaseParser(org.antlr.runtime.TokenStream tokenStream, org.antlr.runtime.RecognizerSharedState recognizerSharedState)

- ## Method Details

  - ### emitErrorMessage

    public void emitErrorMessage(String message)
    Overrides:
      `emitErrorMessage` in class `org.antlr.runtime.BaseRecognizer`